Name:           libsysactivity
Version:        0.5.3
Release:        %mkrel 1
Summary:        Library for retrieving statistics of the system`s activity
Group:          System/Libraries
License:        LGPLv2+
URL:            http://sourceforge.net/projects/libsysactivity/
Source0:        http://downloads.sourceforge.net/project/%{name}/0.5.x/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  doxygen cmake

%description
A lightweight library that retrieves statistics of the system's activity in a 
portable and thread safe way. In each OS that it supports it offers the same 
API for retrieving the activity of: hard disks, CPUs, memory, processes and 
network interfaces.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build


find %{buildroot} -name '*.la' -exec rm -f {} ';'


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/cmake/%{name}

%changelog
* Sun Jul 11 2010 Texstar <texstar at gmail.com> 0.5.3-1pclos2010
- import into pclos

